Site pages
Additional pages on a site
The site page object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
custom_htmltextCustom HTML added to the page
descriptionMultiLanguageStringLocalized description of the page
nodeSiteNodeContent of the page, as a tree of nodes
slugMultiLanguageStringLocalized slug of the page
statusPageStatusPublication status of the page
titleMultiLanguageStringLocalized title of the page
Related resources
Embed related resources in the response with the select parameter, for example select=*,sites!site_id(*). Resources related through more than one column need the column as a hint, like table!column(*).
site_nav_items(*)arrayThe site nav items referencing this site page through site_nav_items.site_page_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.060Z",
"updated_at": "2026-10-30T22:26:24.060Z",
"custom_html": "",
"description": {},
"node": {},
"slug": {},
"status": "draft",
"title": {}
}curl -X GET "https://api.bookingmood.com/v1/site_pages?limit=10&select=*,sites!site_id(*),site_nav_items(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List site pages
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>Custom HTML added to the page
descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>Content of the page, as a tree of nodes
slugFilter<MultiLanguageString>Localized slug of the page
statusFilter<PageStatus>Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
Responses
200A list of site pages with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /site_pagescurl -X GET "https://api.bookingmood.com/v1/site_pages?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.060Z",
"updated_at": "2026-10-30T22:26:24.060Z",
"custom_html": "",
"description": {},
"node": {},
"slug": {},
"status": "draft",
"title": {}
}
]Create site pages
Body
Partial<SitePage> | Array<Partial<SitePage>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created site pages with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /site_pagescurl -X POST "https://api.bookingmood.com/v1/site_pages" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"custom_html": "",
"description": {},
"node": {},
"site_id": "00000000-0000-0000-0000-000000000000",
"slug": {},
"status": "draft",
"title": {}
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.060Z",
"updated_at": "2026-10-30T22:26:24.060Z",
"custom_html": "",
"description": {},
"node": {},
"slug": {},
"status": "draft",
"title": {}
}
]Delete site pages
Filters
Without filters, this request deletes all site pages you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>Custom HTML added to the page
descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>Content of the page, as a tree of nodes
slugFilter<MultiLanguageString>Localized slug of the page
statusFilter<PageStatus>Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
Responses
200The deleted site pages with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /site_pagescurl -X DELETE "https://api.bookingmood.com/v1/site_pages?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.060Z",
"updated_at": "2026-10-30T22:26:24.060Z",
"custom_html": "",
"description": {},
"node": {},
"slug": {},
"status": "draft",
"title": {}
}
]Update site pages
Filters
Without filters, this request updates all site pages you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
custom_htmlFilter<text>Custom HTML added to the page
descriptionFilter<MultiLanguageString>Localized description of the page
nodeFilter<SiteNode>Content of the page, as a tree of nodes
slugFilter<MultiLanguageString>Localized slug of the page
statusFilter<PageStatus>Publication status of the page
titleFilter<MultiLanguageString>Localized title of the page
Body
Partial<SitePage>Read-only attributes are set by the database and can't be written.
Responses
200The updated site pages with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /site_pagescurl -X PATCH "https://api.bookingmood.com/v1/site_pages?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"custom_html": ""
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"site_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.060Z",
"updated_at": "2026-10-30T22:26:24.060Z",
"custom_html": "",
"description": {},
"node": {},
"slug": {},
"status": "draft",
"title": {}
}
]